routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('template.master');
});

Route::group(['middleware' => ['web']], function () {
    Route::resource('film', 'FilmController');
    Route::resource('genre', 'GenreController');  
});

Auth::routes();

app/Genre.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Genre extends Model
{
    protected $table = "genre";
    protected $guarded = [];

    public $timestamps = false;
}

app/Profile.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Profile extends Model
{
    protected $table = "profile";
    protected $fillable = ['umur', 'alamat', 'bio', 'user_id'];
}

app/User.php
<?php

namespace App;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;

class User extends Authenticatable
{
    use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 'email', 'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];

    public function profile() {
        return $this->hasone('App\Profile');
    }
}

app/film.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class film extends Model
{
    protected $table = "film";
    protected $fillable = ['judul', 'sinopsis', 'tahun',  'genre_id', 'poster',];
}

app/Http/Controllers/Controller.php
<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
}

app/Http/Controllers/FilmController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Film;
use App\Genre;
use File;

class FilmController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth')->except('index', 'show');
    }

    public function create()
    {
        $genre = Genre::all();
        return view('/film/create', compact('genre'));
    }

    public function store(Request $request)
    {
        $request->validate([
            'judul' => 'required',
            'sinopsis' => 'required',
            'tahun' => 'required',
            'genre_id' => 'required',
            'poster' => 'required|mimes:png,jpg,jpeg'
        ]);
        
        $fileName = time().'.'.$request->poster->extension();

        $genre = new Film;

        $genre->judul = $request->judul;
        $genre->sinopsis = $request->sinopsis;
        $genre->tahun = $request->tahun;
        $genre->genre_id = $request->genre_id;
        $genre->poster = $fileName;

        $genre->save();

        $request->poster->move(public_path('/image'), $fileName);

        return redirect('/film');
    }

    public function index()
    {
        $film = Film::all();
        //dd($buku);
        return view('film.index', compact('film'));
    }

    public function show($id)
    {
        $film = Film::findorfail($id);
        return view('film.show', compact('film'));
    }

    public function edit($id)
    {
        $genre = Genre::all();
        $film = Film::findorfail($id);
        return view('film.edit', compact('film','genre'));
    }

    public function update(Request $request, $id)
    {
        $request->validate([
            'judul' => 'required',
            'sinopsis' => 'required',
            'tahun' => 'required',
            'genre_id' => 'required',
            'poster' => 'mimes:png,jpg,jpeg',
        ]);

        $film = Film::findorfail($id);

        if ($request->has('poster')) {
            //$post>delete();
            $path = "image/";
            File::delete($path . $film->poster);
            $fileName = time().'.'.$request->poster->extension();   
            $request->poster->move(public_path('image'), $fileName);
            
            $film_data = [
                'judul' => $request->judul,
                'sinopsis' => $request->sinopsis,
                'tahun' => $request->tahun,
                'genre_id' => $request->genre_id,
                'poster' => $fileName,
            ];   
        } else {
            $film_data = [
                'judul' => $request->judul,
                'sinopsis' => $request->sinopsis,
                'tahun' => $request->tahun,
                'genre_id' => $request->genre_id,
            ];
        }

        $film->update($film_data);

        return redirect('/film'); 

    }

    public function destroy($id)
    {
        $film = Film::findorfail($id);

        $path = "image/";
        File::delete($path . $film->poster);
        $film->delete();

        return redirect('/film');

    }
}

app/Http/Controllers/GenreController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Genre;

class GenreController extends Controller
{
    public function create()
    {
        return view('genre.buat');
    }

    public function store(Request $request)
    {
        $request->validate([
            'nama' => 'required'
        ]);
        
        $genre = Genre::create([
            "nama" => $request["nama"]
        ]);

        return redirect('/genre')->with('success', 'Buku Berhasil Disimpan');
    }

    public function index()
    {
        $genre = Genre::all();
        //dd($buku);
        return view('genre.ndex', compact('genre'));
    }

    public function show($id)
    {
        $genre = Genre::find($id);
        
        return view('genre.tampil', compact('genre'));
    }

    public function edit($id)
    {
        $genre = Genre::find($id);

        return view('genre.ubah', compact('genre'));
    }

    public function update(Request $request, $id)
    {
        $update = Genre::where('id', $id)->update([
            "nama" => $request["nama"]
        ]);
        return redirect('/genre')->with('success', 'Berhasil Update Buku');
    }

    public function destroy($id)
    {
        Genre::destroy($id);

        return redirect('/genre')->with('success', 'Buku Berhasil Dihapus');
    }
}

app/Http/Controllers/HomeController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {
        return view('home');
    }
}

resources/views/film/create.blade.php
@extends('template.master')

@section('title')
    <h3>Tambah Film</h3>
@endsection

@section('content')
<div class="card card-primary">
    <div class="card-header">
      <h3 class="card-title">Create List Film</h3>
    </div>
    <!-- /.card-header -->
    <!-- form start -->
    <form role="form" action="/film" method="POST" enctype="multipart/form-data">
        @csrf
      <div class="card-body">
        <div class="form-group">
          <label>Judul</label>
          <input type="text" class="form-control" name="judul" placeholder="Enter Judul">
            @error('judul')
                <div class="alert alert-danger">{{ $message }}</div>
            @enderror
        </div>
        <div class="form-group">
            <label>Sinopsis</label>
            <textarea class="form-control" name="sinopsis" placeholder="Enter Sinopsis" cols="30" rows="10"></textarea>
            @error('sinopsis')
                <div class="alert alert-danger">{{ $message }}</div>
            @enderror
        </div>
        <div class="form-group">
            <label>Tahun</label>
            <input type="text" class="form-control" name="tahun" placeholder="Enter Tahun">
              @error('tahun')
                  <div class="alert alert-danger">{{ $message }}</div>
              @enderror
          </div>
          <div class="form-group">
            <label>Genre</label>
            <select name="genre_id" class="form-control" id="">
              <option value="">-- Pilih Genre --</option>
              @foreach ($genre as $item)
                <option value="{{$item->id}}">{{$item->nama}}</option>
              @endforeach
            </select>
              @error('genre_id')
                  <div class="alert alert-danger">{{ $message }}</div>
              @enderror
          </div>
          <div class="form-group">
            <label>Poster</label>
            <input type="file" class="form-control" name="poster">
              @error('poster')
                  <div class="alert alert-danger">{{ $message }}</div>
              @enderror
          </div>
       </div>
      <div class="card-footer">
        <button type="submit" class="btn btn-primary">Create</button>
      </div>
    </form>
</div>
@endsection

resources/views/film/edit.blade.php
@extends('template.master')

@section('title')
    <h3>Edit Film</h3>
@endsection

@section('content')
    <form action="/film/{{$film->id}}" method="POST" enctype="multipart/form-data">
        @csrf
        @method('put')
        <div class="form-group">
            <label>Judul</label>
            <input type="text" class="form-control" value="{{$film->judul}}" name="judul" placeholder="Enter Judul">
                @error('judul')
                    <div class="alert alert-danger">{{ $message }}</div>
                @enderror
            </div>
            <div class="form-group">
                <label>Sinopsis</label>
                <textarea class="form-control" name="sinopsis" placeholder="Enter Sinopsis" cols="30" rows="10">{{$film->sinopsis}}</textarea>
                @error('sinopsis')
                    <div class="alert alert-danger">{{ $message }}</div>
                @enderror
            </div>
            <div class="form-group">
                <label>Tahun</label>
                <input type="text" class="form-control" value="{{$film->tahun}}" name="tahun" placeholder="Enter Tahun">
                @error('tahun')
                    <div class="alert alert-danger">{{ $message }}</div>
                @enderror
            </div>
            <div class="form-group">
                <label>Genre</label>
                <select name="genre_id" class="form-control">
                    <option>-- Pilih Genre --</option>
                    @foreach ($genre as $item)
                        @if($item->id === $film->genre_id)
                            <option value="{{$item->id}}" selected>{{$item->nama}}</option>
                        @else
                            <option value="{{$item->id}}">{{$item->nama}}</option>
                        @endif         
                    @endforeach
                </select>
                @error('genre_id')
                    <div class="alert alert-danger">{{ $message }}</div>
                @enderror
            </div>
            <div class="form-group">
                <label>Poster</label>
                <input type="file" class="form-control" name="poster">
                @error('poster')
                    <div class="alert alert-danger">{{ $message }}</div>
                @enderror
            </div>
        </div>
      <div class="card-footer">
        <button type="submit" class="btn btn-primary">Update</button>
      </div>
    </form>
</div>
@endsection

resources/views/film/index.blade.php
@extends('template.master')

@section('title')
    <h3>Halaman Film</h3>
@endsection

@section('content')

@auth
<a href="film/create" class="btn btn-primary my-2">Tambah</a>
@endauth
                <div class="row">
                    @forelse ($film as $item)
                        <div class="col-2">
                            <div class="card">
                                <img src="{{asset('image/'.$item->poster)}}" class="card-img-top" alt="...">
                                <div class="card-body">
                                    <h5>{{$item->judul}}</h5>
                                    <p class="card-text">{{Str::limit($item->sinopsis, 20)}}</p>
                                    @auth

                                    <form action="{{route('film.destroy', $item->id)}}" method="POST">
                                    @csrf
                                    @method('delete')
                                      <a href="{{route('film.show', $item->id)}}" class="btn btn-info btn-sm">Detail</a>
                                      <a href="{{route('film.edit', $item->id)}}" class="btn btn-warning btn-sm">Edit</a>
                                      <input type="submit" class="btn btn-danger btn-sm mt-1" value="Delete">
                                    </form>
                                        
                                    @endauth
                                    @guest
                                    <a href="{{route('film.show', $item->id)}}" class="btn btn-info btn-sm">Detail</a>
                                    @endguest
                                </div>
                            </div>
                        </div>          
                    @empty
                        <h1>Tidak Ada Film</h1>       
                    @endforelse
                </div>
         

@endsection

resources/views/film/show.blade.php
@extends('template.master')

@section('title')
    Detail film
@endsection

@section('content')

<img src="{{asset('image/'.$film->poster)}}" alt="">
<h1>{{$film->judul}}</h1>
<p>{{$film->sinopsis}}</p>
    
@endsection

resources/views/genre/buat.blade.php
@extends('template.master')

@section('title')
    Tambah Genre
@endsection

@section('content')
<div class="card card-primary">
    <div class="card-header">
      <h3 class="card-title">Create List Genre</h3>
    </div>
    <!-- /.card-header -->
    <!-- form start -->
    <form role="form" action="/genre" method="POST">
        @csrf
      <div class="card-body">
        <div class="form-group">
          <label>Nama</label>
          <input type="text" class="form-control" name="nama" placeholder="Enter genre">
            @error('nama')
                <div class="alert alert-danger">{{ $message }}</div>
            @enderror
        </div>
       </div>
      <div class="card-footer">
        <button type="submit" class="btn btn-primary">Create</button>
      </div>
    </form>
</div>
@endsection

resources/views/genre/ndex.blade.php
@extends('template.master')

@section('title')
    Halaman Genre
@endsection

@section('content')
    
<a href="/genre/create" class="btn btn-primary mb-3">Tambah Genre</a>
<table class="table">
    <thead class="thead-light">
        <tr>
        <th scope="col">#</th>
        <th scope="col">Nama</th>
        <th scope="col">Action</th>
        </tr>
    </thead>
    <tbody>
        @forelse ($genre as $key=>$value)
            <tr>
                <td>{{$key + 1}}</th>
                <td>{{$value->nama}}</td>
                <td>
                <a href="/genre/{{$value->id}}" class="btn btn-info">Show</a>
                <a href="/genre/{{$value->id}}/edit" class="btn btn-primary mt-1">Edit</a>
                    <form action="/genre/{{$value->id}}" method="POST">
                        @csrf
                        @method('DELETE')
                        <input type="submit" class="btn btn-danger my-1" value="Delete">
                    </form>
                </td>
            </tr>
        @empty
            <tr colspan="3">
                <td>No data</td>
            </tr>  
        @endforelse              
    </tbody>
</table>

@endsection

resources/views/genre/tampil.blade.php
@extends('template.master')

@section('content')

<h2 class="text-primary">{{$genre->nama}}</h2>

@endsection

resources/views/genre/ubah.blade.php
@extends('template.master')

@section('title')
    Halaman Edit Buku
@endsection

@section('content')

<form action="/genre/{{$genre->id}}" method="POST">
    @csrf
    @method('PUT')
    <div class="form-group">
        <label for="judul">Nama</label>
        <input type="text" class="form-control" name="nama" value="{{$genre->nama}}" id="nama" placeholder="Masukkan Genre">
        @error('nama')
            <div class="alert alert-danger">
                {{ $message }}
            </div>
        @enderror
    </div>
    <button type="submit" class="btn btn-primary">Update</button>
</form>

@endsection

resources/views/home.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">Dashboard</div>

                <div class="card-body">
                    @if (session('status'))
                        <div class="alert alert-success" role="alert">
                            {{ session('status') }}
                        </div>
                    @endif

                    You are logged in!
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/layouts/app.blade.php
<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Laravel') }}</title>

    <!-- Scripts -->
    <script src="{{ asset('js/app.js') }}" defer></script>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet">

    <!-- Styles -->
    <link href="{{ asset('css/app.css') }}" rel="stylesheet">
</head>
<body>
    <div id="app">
        <nav class="navbar navbar-expand-md navbar-light bg-white shadow-sm">
            <div class="container">
                <a class="navbar-brand" href="{{ url('/') }}">
                    {{ config('app.name', 'Laravel') }}
                </a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="{{ __('Toggle navigation') }}">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <!-- Left Side Of Navbar -->
                    <ul class="navbar-nav mr-auto">

                    </ul>

                    <!-- Right Side Of Navbar -->
                    <ul class="navbar-nav ml-auto">
                        <!-- Authentication Links -->
                        @guest
                            <li class="nav-item">
                                <a class="nav-link" href="{{ route('login') }}">{{ __('Login') }}</a>
                            </li>
                            @if (Route::has('register'))
                                <li class="nav-item">
                                    <a class="nav-link" href="{{ route('register') }}">{{ __('Register') }}</a>
                                </li>
                            @endif
                        @else
                            <li class="nav-item dropdown">
                                <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                    {{ Auth::user()->name }} <span class="caret"></span>
                                </a>

                                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                                    <a class="dropdown-item" href="{{ route('logout') }}"
                                       onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                        {{ __('Logout') }}
                                    </a>

                                    <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                                        @csrf
                                    </form>
                                </div>
                            </li>
                        @endguest
                    </ul>
                </div>
            </div>
        </nav>

        <main class="py-4">
            @yield('content')
        </main>
    </div>
</body>
</html>

resources/views/template/master.blade.php
<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Kelompok 7</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <!-- Font Awesome -->
  <link rel="stylesheet" href="{{asset('admin/plugins/fontawesome-free/css/all.min.css')}}">
  <!-- Ionicons -->
  <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
  <!-- overlayScrollbars -->
  <link rel="stylesheet" href="{{asset('admin/dist/css/adminlte.min.css')}}">
  <!-- Google Font: Source Sans Pro -->
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
</head>
<body class="hold-transition sidebar-mini">
<!-- Site wrapper -->
<div class="wrapper">
  <!-- Navbar -->
  <nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    

    <!-- SEARCH FORM -->
    <form class="form-inline ml-3">
      <div class="input-group input-group-sm">
        <input class="form-control form-control-navbar" type="search" placeholder="Search" aria-label="Search">
        <div class="input-group-append">
          <button class="btn btn-navbar" type="submit">
            <i class="fas fa-search"></i>
          </button>
        </div>
      </div>
    </form>

    <!-- Right navbar links -->
    <ul class="navbar-nav ml-auto">            
        <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item"></a>
    </ul>
  </nav>
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  <aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="{{asset('admin/index3.html')}}" class="brand-link">
      <img src="{{asset('admin/dist/img/AdminLTELogo.png')}}"
           alt="AdminLTE Logo"
           class="brand-image img-circle elevation-3"
           style="opacity: .8">
      <span class="brand-text font-weight-light">Film</span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user (optional) -->
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <div class="image">
          <img src="{{asset('admin/dist/img/user2-160x160.jpg')}}" class="img-circle elevation-2" alt="User Image">
        </div>
        <div class="info">
          @auth
          <a href="#" class="d-block">{{ Auth::user()->name }}</a>     
          @endauth
          @guest
          <a href="#" class="d-block">User Belum Login</a>  
          @endguest
        </div>
      </div>

      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
          <li class="nav-item has-treeview">
            <a href="/film" class="nav-link">
              <i class="nav-icon fas fa-tachometer-alt"></i>
              <p>
                Daftar Film
              </p>
            </a>
          </li>
          
          @auth
          
          <li class="nav-item">
            <a class="nav-link bg-danger" href="{{ route('logout') }}"
                onclick="event.preventDefault();
                    document.getElementById('logout-form').submit();">
                {{ __('Logout') }}
            </a>

            <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
            @csrf
            </form>
          </li>
      
          @endauth
          @guest
          <li class="nav-item">
            <a href="/login" class="nav-link bg-primary">
              <p>Login</p>
            </a>
          </li>
          @endguest

        </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    

    <!-- Main content -->
    <section class="content">

      <!-- Default box -->
      <div class="card">
        <div class="card-header">
          <h3 class="card-title">@yield('title')</h3>

          <div class="card-tools">
            <button type="button" class="btn btn-tool" data-card-widget="collapse" data-toggle="tooltip" title="Collapse">
              <i class="fas fa-minus"></i></button>
            <button type="button" class="btn btn-tool" data-card-widget="remove" data-toggle="tooltip" title="Remove">
              <i class="fas fa-times"></i></button>
          </div>
        </div>
        <div class="card-body">
            @yield('content')
        </div>
        <!-- /.card-body -->
        
        <!-- /.card-footer-->
      </div>
      <!-- /.card -->

    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->

<!-- jQuery -->
<script src="{{asset('admin/plugins/jquery/jquery.min.js')}}"></script>
<!-- Bootstrap 4 -->
<script src="{{asset('admin/plugins/bootstrap/js/bootstrap.bundle.min.js')}}"></script>
<!-- AdminLTE App -->
<script src="{{asset('admin/dist/js/adminlte.min.js')}}"></script>
<!-- AdminLTE for demo purposes -->
<script src="{{asset('admin/dist/js/demo.js')}}"></script>
</body>
</html>